Page MenuHomePhabricator

Add TemplateData to a template on a non-English wikipedia that doesn't have any (cloneable)
Closed, DeclinedPublic

Description

To complete this task, you need to know what a template is, what TemplateData is and where TemplateData is placed. For more information, see:

https://www.mediawiki.org/wiki/Help:TemplateData

See also:

https://en.wikipedia.org/wiki/Wikipedia:Templates
https://en.wikipedia.org/wiki/Wikipedia:TemplateData

Add TemplateData to a template in this list. These data must go to the appropriate place in its documentation page (https://en.wikipedia.org/wiki/Template:{template_name}}/doc).

You can choose to add templatedata by writing the raw JSON, or by adding it by using the GUI ("Manage Template Data" button above the editing field). However, if you choose to write the raw JSON, you should verify it is correct by attempting to load it into the editor using the Manage Template Data button.

Communication about the work being done should go on the GCI task page's comment section. You should also pick a template by tagging yourself next to the task here. Example:

Non-English language templates available to be claimed:

Portuguese:

Chinese:

bahasa Indonesia (must create a /doc subpage):

Polish

If you added the template data to a /doc subpage, it is often necessary to do a "null edit" on the template page for the changes to go live. See T52372#544480 .

Once you have saved the new templatedata, you should edit your userpage using Visual Editor, and test inserting the template, and see the template parameters listed.

Students are required to read https://www.mediawiki.org/wiki/Google_Code-in/2017#Instructions_for_GCI_students first.

When you make edits on Wikipedia as a part of GCI, you should link to this task URL in your edit summary so that other Wikipedia editors know that this is part of a GCI task. Example: https://en.wikipedia.org/w/index.php?title=Template%3ACite_arXiv%2Fdoc&type=revision&diff=752454640&oldid=752402498

You should also place this message in your user profile. declaring that you are participating in GCI.

I am making edits to template data as a participant of [[ mw:Google_Code-in_2017 | Google Code-In 2017 ]] .

Mentors

@Mvolz
@jayvdb
@yana_agun

Event Timeline

Mvolz created this task.Dec 1 2016, 11:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2016, 11:46 PM
Mvolz updated the task description. (Show Details)Dec 1 2016, 11:47 PM

I've added one high priority one, feel free to add more @jayvdb (I will also look for more tomorrow).

Can you publish this one @Aklapper ? Thanks!

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 3 2016, 3:26 PM

Can you publish this one @Aklapper ? Thanks!

@Mvolz: Ahem. Yes, done now. Sorry, missed this one!

Mvolz updated the task description. (Show Details)Dec 13 2016, 2:41 PM

Unfortunately I have reached the point where I must do the one I put on myself as it's a blocker for T114515. I can't increment it down in GCI so it'd be great if someone wanted to put at least one other template on the list!

Tagging some people who might have suggestions: @jeblad , @Elitre, @Josve05a

Mvolz updated the task description. (Show Details)Dec 13 2016, 2:57 PM
Mvolz updated the task description. (Show Details)Dec 13 2016, 3:09 PM
Mvolz updated the task description. (Show Details)

I put an appeal on Twitter and mediawiki.org for the time being.

Filip added a comment.Dec 13 2016, 5:07 PM

@Mvolz I submited it on GCI

Mvolz updated the task description. (Show Details)Dec 14 2016, 10:12 AM
Mvolz updated the task description. (Show Details)Dec 14 2016, 1:55 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptDec 14 2016, 1:55 PM
Elitre added a subscriber: Stryn.Dec 15 2016, 4:33 PM

@Stryn says, "Maybe https://fi.wikivoyage.org/wiki/Malline:Listing
It's completely without templatedata yet.
Templatedata should be added to Malline:Listing/ohje." (It should be noted that the visual editor is probably still not live on that wiki yet.)

(For other languages: queries like https://quarry.wmflabs.org/query/4322 could be run in case.)

PratyyaGhosh updated the task description. (Show Details)Dec 18 2016, 3:07 PM
PratyyaGhosh added a subscriber: PratyyaGhosh.

@Shizhao: This task is related to any site - why did you add Chinese-Sites here?

@Shizhao: This task is related to any site - why did you add Chinese-Sites here?

see Description

see Description

A Chinese site listed as examples does not affect those sites, hence removing.

jayvdb updated the task description. (Show Details)Dec 31 2016, 6:31 AM

@Mvolz, I notice you were focusing on the citation templates, which is a great idea, and I added some bahasa ones (and increased the task count). I am sure we can easily find more of those in other languages.

I am surprised to see that some of these templates dont exist in major Wikipedias (or are not linked via wikidata to the English template). Maybe there is another GCI task in there somewhere, but again we'd need to be cautious about not creating a translation task, and also not impinging on communities which may have intentionally veered from the norm.

jayvdb updated the task description. (Show Details)Dec 31 2016, 10:04 AM
Aklapper closed this task as Declined.Jan 30 2017, 9:56 AM

I'm closing this task in Phabricator as Google-Code-In-2016 is over (and as it's a task that will "never end").

jayvdb added a subscriber: Beeyan.Dec 13 2017, 3:58 PM

@Mvolz, I just noticed this was at the top of https://twitter.com/hashtag/googlecodein?src=hash . Do you want to try this one again?
@Elitre?

@Beeyan , would you be able to mentor this one with me for the bahasa Indonesia templates? Do you know of better templates ?

@jayvdb the tweet you're referencing is one year old :D but nonetheless, please do go ahead and mentor someone willing to work in this area? TemplateData is an area in which several community members are experts, so I don't think you'll really need other assistance.

jayvdb renamed this task from Add templateData to a template on a non-English wikipedia that doesn't have any (cloneable) to Add TemplateData to a template on a non-English wikipedia that doesn't have any (cloneable) .Dec 19 2017, 6:41 AM
jayvdb reopened this task as Open.
jayvdb added a project: Google-Code-in-2017.
jayvdb updated the task description. (Show Details)
jayvdb updated the task description. (Show Details)Dec 19 2017, 6:53 AM
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: SacredWKnight.
jayvdb updated the task description. (Show Details)Dec 19 2017, 6:55 AM

@Filip , can you add some Polish templates to the task description?

jayvdb updated the task description. (Show Details)Dec 19 2017, 4:58 PM
jayvdb updated the task description. (Show Details)Dec 19 2017, 5:01 PM
Mvolz updated the task description. (Show Details)Dec 20 2017, 1:21 PM

Thanks for spear-heading this, @jayvdb

Finding the templates to work on is always the tricky thing, maybe we should publicise this on wikitech-l to find more templates in other languages?

@Richard_Nevell_WMUK, @Uchup19, @cahyo.ramadhani, @LLarson any templates on your wiki missing template data that you'd like to add to the list?

yana_agun updated the task description. (Show Details)Jan 7 2018, 10:33 AM
yana_agun added a subscriber: yana_agun.
yana_agun updated the task description. (Show Details)Jan 7 2018, 10:37 AM
yana_agun updated the task description. (Show Details)Jan 7 2018, 10:44 AM
Aklapper closed this task as Declined.Jan 17 2018, 6:42 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2017 which is ending these days (no more new tasks can be claimed from now on in GCI 2017).

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 17 2018, 6:42 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Jan 22 2018, 3:30 AM